<?php
error_reporting(0);
// The function header by sending raw excel
header("Content-type: application/vnd-ms-excel");
 
// Defines the name of the export file "codelution-export.xls"
header("Content-Disposition: attachment; filename=data-keterangan-lulus.xls");
 
// Add data table
	include "php_class/class_mysql.php";
	include "php_class/class_absen.php";
	$dataabsen = new dataabsen;
	$dataabsen2 = new dataabsen;
	$dataabsen3 = new dataabsen;
	$dataabsen4 = new dataabsen;
	include "php_class/class_jadwal.php";
	$DataJadwal = new dataJadwal;
	?>
    
    							<?php 
							$tanggalawal = $_POST['tanggalawal'];
							$tanggalawal = substr($tanggalawal, 0, 10);
							$tanggalakhir = $_POST['tanggalakhir'];
							$tanggalakhir = substr($tanggalakhir, 0, 10);
							
							$hari = $_POST['hari'];
							$tahun = $_POST['tahun'];
							$semester = $_POST['semester'];
							$program = $_POST['program'];
							$jurusan = $_POST['jurusan'];
							
								if ($tahun == '' ){
									$tahun = '2016/2017';
								}
								if ($semester == '' ){
									$semester = 'GENAP';
								}					
								if ($hari == '' ){
									$hari = 'SEMUA';
								}
								if ($tanggalawal == '' ){
									$tanggalawal = date('Y-m-d');
								}
								if ($tanggalakhir == '' ){
									$tanggalakhir = date('Y-m-d');
								}					
								
								
							?>

    
          <table>
             <thead>
                <tr>
                    <th>No</th>
                    <th>Nama Dosen</th>
                    <th>Mata Kuliah</th>
                    <th>Kelas</th>
                    <th>Hari</th>
                    <th>Waktu</th>
                    <th>Jumlah Kehadiran</th>
                </tr>
            </thead>
            <tbody>
            <?php
            	$JumlahData = $dataabsen->get_data_jadwal_rekap('',$a,'jumlah', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
				if ($JumlahData<=0){
					echo "<tr class='odd gradeX'>";
					echo "<td>No Data</td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "</tr>";	
				}else{
					for ($a=1;$a<=$JumlahData;$a++){
						$id = $dataabsen->get_data_jadwal_rekap('id',$a,'', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
						$dosen = $dataabsen->get_data_jadwal_rekap('dosen', $a, '', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
						$matakuliah = $dataabsen->get_data_jadwal_rekap('matakuliah',$a,'', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
						$kelas = $dataabsen->get_data_jadwal_rekap('kelas',$a,'', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
						$haris = $dataabsen->get_data_jadwal_rekap('hari',$a,'', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
						$waktu = $dataabsen->get_data_jadwal_rekap('waktu',$a,'', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
						$jumlah = $dataabsen->get_data_jadwal_rekap('jumlah',$a,'', $semester, $tahun, $jurusan, $program, $tanggalawal, $tanggalakhir, $hari);
						
						echo "<tr id='".$id."' class='odd gradeX'>";
						echo "<td id='".$id."' class='context'>".$a."</td>";
						echo "<td id='".$id."' class='context'>".$dosen."</td>";
						echo "<td id='".$id."' class='context'>".$matakuliah."</td>";
						echo "<td id='".$id."' class='context'>".$kelas."</td>";
						echo "<td id='".$id."' class='context'>".$haris."</td>";
						echo "<td id='".$id."' class='context'>".$waktu."</td>";
						echo "<td id='".$id."' class='context'><strong>".$jumlah."</strong></td>";
						echo "</tr>";
					}
				}
			?>
        	</tbody>
          </table>
